Page MenuHomePhabricator

[NVPTX] Emits "generic()" depending on the original address space
ClosedPublic

Authored by jingyue on Apr 20 2015, 3:00 PM.

Details

Summary

Fixes a bug in the NVPTX codegen. The code used to miss necessary "generic()"
on aggregates of addrspacecasts.

Diff Detail

Event Timeline

jingyue updated this revision to Diff 24066.Apr 20 2015, 3:00 PM
jingyue retitled this revision from to [NVPTX] Emits "generic()" depending on the original address space.
jingyue updated this object.
jingyue edited the test plan for this revision. (Show Details)
jingyue added reviewers: eliben, jholewinski.
jingyue added a subscriber: Unknown Object (MLST).

PS: It's a separate bug I found when dealing with D9063.

jingyue updated this revision to Diff 24241.Apr 22 2015, 10:45 AM

Fixed naming

jholewinski accepted this revision.Apr 23 2015, 5:57 PM
jholewinski edited edge metadata.

LGTM

This revision is now accepted and ready to land.Apr 23 2015, 5:57 PM
jingyue closed this revision.Apr 23 2015, 8:00 PM